Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
200 Q2 Job created
curl --request POST \ --url https://test-api.sandbox.co.in/tcs/analytics/potential-notices \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "@entity": "in.co.sandbox.tcs.analytics.potential_notice.request", "quarter": "Q2", "tan": "AHMA09719B", "financial_year": "FY 2023-24" } '
200
{ "code": 200, "timestamp": 1763633700000, "transaction_id": "1c1e4905-d07e-4c51-b8c5-1163050ded7f", "data": { "@entity": "in.co.sandbox.tcs.analytics.potential_notices.job", "job_id": "1c1e4905-d07e-4c51-b8c5-1163050ded7f", "tan": "AHMA09719B", "quarter": "Q2", "financial_year": "FY 2023-24", "status": "created", "created_at": 1709026684599, "json_url": "https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q_validation_report.xlsx" } }
Use this API to check and avoid any potential notice towards your TCS return
API key for identification
JWT access token
API Version
"in.co.sandbox.tcs.analytics.potential_notice.request"
Quarter for which TDS is being filed
Q1
Q2
Q3
Q4
TAN of deductor. Regular Expression: [A-Z]{4}[0-9]{5}[A-Z]{1}
[A-Z]{4}[0-9]{5}[A-Z]{1}
Financial Year for which TDS is being filed. (eg. FY 2024-25)
"FY 2024-25"
200 - OK
Show child attributes